diff --git a/web/pgadmin/misc/file_manager/__init__.py b/web/pgadmin/misc/file_manager/__init__.py
index e51ac2a..1a8b59b 100644
--- a/web/pgadmin/misc/file_manager/__init__.py
+++ b/web/pgadmin/misc/file_manager/__init__.py
@@ -20,7 +20,8 @@ import config
 import codecs
 
 import simplejson as json
-from flask import render_template, Response, session, request as req, url_for
+from flask import render_template, Response, session, request as req, \
+    url_for, current_app
 from flask_babel import gettext
 from flask_security import login_required
 from pgadmin.utils import PgAdminModule
@@ -1054,6 +1055,7 @@ class Filemanager(object):
         status = True
         err_msg = None
         is_startswith_bom = False
+        is_binary = False
 
         # check if file type is text or binary
         text_chars = bytearray([7, 8, 9, 10, 12, 13, 27]) \
@@ -1097,6 +1099,11 @@ class Filemanager(object):
             status = False
             err_msg = u"Error: {0}".format(str(ex))
 
+        # Remove root storage path from error message
+        # when running in Server mode
+        if not status and not current_app.PGADMIN_RUNTIME:
+            err_msg = err_msg.replace(get_storage_directory(), '')
+
         return status, err_msg, is_binary, is_startswith_bom, enc
 
     def addfolder(self, path, name):
